Class | Chef::Provider::Env
In: | lib/chef/provider/env/windows.rb lib/chef/provider/env.rb
Parent: | Object

### Methods

action_create action_delete action_modify compare_value create_env delete_element delete_env env_key_exists env_value load_current_resource modify_env new

### Included Modules

Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Env::Windows

### Attributes

key_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_delete()
action_modify()
compare_value()

Check to see if value needs any changes

#### Returns

<true>: | If a change is required
<false>: | If a change is not required

create_env()
delete_element()

e.g. delete a PATH element

     ==== Returns
     <true>:: If we handled the element case and caller should not delete the key
     <false>:: Caller should delete the key, either no :delim was specific or value was empty
               after we removed the element.

delete_env()
env_key_exists(key_name)
env_value(key_name)
load_current_resource()
modify_env()

[Validate]